#
# spec file for package liboop (Version 1.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         liboop
Version:      1.0
Release:      0.1
License:      GPL
Group:        Development/Libraries/C and C++
Url:          http://liboop.org/
Autoreqprov:  on
Summary:      Liboop is a low-level event loop management library
Source:       http://download.ofb.net/liboop/liboop.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Liboop is a low-level event loop management library for POSIX-based operating
systems. It supports the development of modular, multiplexed applications
which may respond to events from several sources. It replaces the "select()
loop" and allows the registration of event handlers for file and network I/O,
timers and signals. Since processes use these mechanisms for almost all
external communication, liboop can be used as the basis for almost any
application.

Authors:
--------
    Dan Egnor <egnor at ofb dot net>

%package devel
Group:        Development/Libraries/C and C++
Autoreqprov:  on
Summary:      Libraries and header files for liboop

%description devel
Libraries and header files for liboop

%prep
%setup

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}
%{__make} all check

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
%{__make} DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_libdir}/liboop.so.*
%doc COPYING INSTALL

%files devel
%defattr(-,root,root)
%{_includedir}/oop*
%{_libdir}/liboop.*a
%{_libdir}/liboop.so
%{_libdir}/pkgconfig/liboop*

%changelog -n liboop
* Wed Feb 09 2005 - lmuelle@suse.de
- Initial SuSE package.
